For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
      • POSTCreate response
      • STREAMCreate response (streaming)
      • GETGet response
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
(Beta) Conversations APIResponses

Create response (streaming)

||View as Markdown|
POST
https://api.moveworks.ai/rest/v1beta1/conversations/:conversation_id/responses/stream
POST
/rest/v1beta1/conversations/:conversation_id/responses/stream
$curl -X POST https://api.moveworks.ai/rest/v1beta1/conversations/conv_32bt7BMLhLyVzTUjfi35N/responses/stream \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "input": {
> "text": "Who does John Doe report to?"
> }
> }
>}'

Creates a response and streams updates in real-time via Server-Sent Events (SSE). This provides a real-time alternative to creating a response and polling the GetResponse endpoint.

Was this page helpful?
Previous

Get response

Next
Built with

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.
AcceptenumRequired

Must be set to text/event-stream to receive Server-Sent Events

Allowed values:

Request

This endpoint expects an object.
inputobjectRequired
User input message

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

Server-Sent Events stream of response updates

eventenum
Response streaming event type
dataobject

Event data payload (structure depends on event type)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error